/* REXX deinstallation script for DC User Pack */
/* Copyright (C) 1998 by Joseph L. Shrago */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*------------------------------------------------------------------
 * Initialization 
 *------------------------------------------------------------------*/

installdir = directory()

rc= RxMessageBox( "Uninstall DC User Pack?", "DC User Pack", "YesNo", "Question" )
say rc
if rc = 7 then
   exit

Call SysFileTree '*.*','file','FO'
DO i=1 TO file.0
	rc=SysFileDelete(file.i)
	END
DROP file

rc = directory('plugin')

Call SysFileTree '*.*','file','FO'
DO i=1 TO file.0
	rc=SysFileDelete(file.i)
	END
DROP file

plugindir = directory()
rc = directory('..')
rc = SysRmDir(plugindir)


/* remove DC User Pack DLL's from os2\dll */
dlldir=value('USER_INI',,'OS2ENVIRONMENT')
dlldir=substr(dlldir,1,lastpos('\',dlldir))'apps\dll'
fi=dlldir'\dcplus.dll'
rc=SysFileDelete(fi)
fi=dlldir'\dcdll.dll'
rc=SysFileDelete(fi)
fi=dlldir'\rxdcplus.dll'
rc=SysFileDelete(fi)

/*------------------------------------------------------------------
 * Delete DC User Pack objects
 *------------------------------------------------------------------*/

rc = SysDestroyObject("<DCUP_FLD>")
if rc then
   say "DC User Pack objects removed from desktop..."
else 
   say "ERROR: DC User Pack object removing failed!"
rc = directory('..')
rc = SysRmDir(installdir)
call lineout  log, rc
exit
